Bug 589388 - [abrt] crash in yum-3.2.27-4.fc13: history.py:220:_get_cursor:OperationalError: unable to open database file
[abrt] crash in yum-3.2.27-4.fc13: history.py:220:_get_cursor:OperationalErro...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
abrt_hash:7766decb
: EasyFix, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-05 22:50 EDT by rdesfo
Modified: 2014-01-21 18:14 EST (History)
44 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-29 08:41:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.12 KB, text/plain)
2010-05-05 22:50 EDT, rdesfo
no flags Details

  None (edit)
Description rdesfo 2010-05-05 22:50:50 EDT
abrt 1.1.0 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/yum history
component: yum
executable: /usr/bin/yum
kernel: 2.6.33.3-72.fc13.i686.PAE
package: yum-3.2.27-4.fc13
reason: history.py:220:_get_cursor:OperationalError: unable to open database file
release: Fedora release 13 (Goddard)

backtrace
-----
history.py:220:_get_cursor:OperationalError: unable to open database file

Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 254, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 109, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 356, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 1314, in doCommand
    ret = base.historyListCmd(extcmds)
  File "/usr/share/yum-cli/output.py", line 1297, in historyListCmd
    for old in self.history.old(tids, limit=limit):
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 449, in old
    cur = self._get_cursor()
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 220, in _get_cursor
    self._conn = sqlite.connect(self._db_file)
OperationalError: unable to open database file

Local variables in innermost frame:
self: <yum.history.YumHistory instance at 0x970904c>

comment
-----
ran the following command

yum history

I'm also having trouble connecting to wifi

How to reproduce
-----
1.went to gnome-terminal 
2. yum history
3.
Comment 1 rdesfo 2010-05-05 22:50:51 EDT
Created attachment 411797 [details]
File: backtrace
Comment 2 flashl 2010-05-06 17:22:08 EDT
Package: yum-3.2.27-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. yum history
2.
3.


Comment
-----
as normal user type 'yum history'
Comment 3 Arand Nash 2010-05-07 11:06:34 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. run "yum history" as a normal user.

Comment
-----
Works fine as superuser
Comment 4 Marco Vittorini Orgeas 2010-05-08 12:44:14 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.As user issue on the command line the command yum history
2.
3.


Comment
-----
Yum should communicate more politely that it can't proceed without having root privileges.
Comment 5 Mat Booth 2010-05-09 10:34:31 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Fresh F13 install
2. As an unprivileged user: # yum history


Comment
-----
Crashed when I did "yum history". Worked fine when I did "sudo yum history"

Presumably it should just say "permission denied" instead of crashing...
Comment 6 David Riches 2010-05-13 20:48:02 EDT
Package: yum-3.2.27-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.run yum history as unprivileged user
2.
3.


Comment
-----
works as superuser.
Comment 7 Ankur Sinha (FranciscoD) 2010-05-14 16:18:47 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.yum history
2.
3.


Comment
-----
just ran yum history, nothing else here.
Comment 8 luigi votta 2010-05-23 06:58:45 EDT
Package: yum-3.2.27-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. During yum update using KPackageKit
2. Open a shell and run yum history
Comment 9 Glenn Johnson 2010-05-26 05:14:30 EDT
Package: yum-3.2.27-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Simply run yum history
2.
3.


Comment
-----
Open terminal and type yum history
Comment 10 Andre Costa 2010-05-28 20:32:23 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. run "yum history" as a normal user (!root)
2.
3.
Comment 11 Peque 2010-05-29 07:17:19 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
I just tried to execute "yum history" while I was installing other packages with "su -c 'yum install [...]'"
Comment 12 Alan Bruce 2010-05-29 16:12:24 EDT
Package: yum-3.2.27-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.run yum history
2.
3.


Comment
-----
As (1) above. This is on a kvm install running on a F12 x86_64 host. I had already updated using Gnome Admin menu, and successfully updated 196 packages including the kernel. final line of error is:
"sqlite3.OperationalError: unable to open database file"
Comment 13 boucher.samuel.c 2010-05-30 14:58:03 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.
2.
3.type yum history undo last with bash completion
Comment 14 David Riches 2010-05-30 15:22:43 EDT
This can be fixed by changing the permissions on

/var/lib/yum/history/history*

by default, the permissions are 600 root, which prevents the non-root user from running yum history.

On changing the permissions, yum history runs without failure.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 15 Glenn Johnson 2010-05-31 13:47:46 EDT
Package: yum-3.2.27-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Run yum history list
2. Error
3.


Comment
-----
Run yum history list
Comment 16 Daniel VanStone 2010-06-01 01:12:01 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.as user at command line issued command "yum history summary"
2.
3.


Comment
-----
from terminal[user@computer ~]$ yum history summary
Loaded plugins: presto, refresh-packagekit
Login user                 | Time                | Action(s)        | Altered 
-------------------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 254, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 109, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 356, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 1318, in doCommand
    ret = base.historySummaryCmd(extcmds)
  File "/usr/share/yum-cli/output.py", line 1549, in historySummaryCmd
    for old in self.history.old(tids):
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 449, in old
    cur = self._get_cursor()
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 220, in _get_cursor
    self._conn = sqlite.connect(self._db_file)
sqlite3.OperationalError: unable to open database file
Comment 17 Alon Levy 2010-06-04 11:06:07 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. as a user run "yum history"
2. See the traceback (cannot access database).

Comment
-----
cannot run yum history as a user - might be ok. But there should be an error message, not a trace dump. I do think normal users, or at least users in some group, should be able to run yum history.
Comment 18 Glenn Johnson 2010-06-05 03:17:48 EDT
Package: yum-3.2.27-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. run yum history as regular user
2.
3.


Comment
-----
Same as above.
Comment 19 Paul VanGundy 2010-06-11 13:40:30 EDT
Package: yum-3.2.27-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Went into Yum Shell
2.Typed 'version'
3.Crashed
Comment 20 Jim Cromie 2010-06-11 19:27:57 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. ran yum shell (not as root)
2. > history
3.


Comment
-----
got error couldnt connect to sqlite3 (iirc) and coredumped.
it should fail more gracefully, or try sudo (if applicable)

before the crash, I also did:
ran > info kdelibs-common (which worked)
then > info kdelibs (hoping it would auto-complete, or respond with some helpful error)
       it just threw up help-screen
Comment 21 Airbete 2010-06-12 14:16:35 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. yum history
2.
3.
Comment 22 Shreyank Gupta 2010-06-14 02:55:54 EDT
Package: yum-3.2.27-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. run yum history  as non-root
2.
3.
Comment 23 kisoensingh 2010-06-16 07:49:49 EDT
Package: yum-3.2.27-4.fc13
Architecture: i686
OS Release: Community Fedora Remix release 13 (Community Fedora Remix)


How to reproduce
-----
1.yum history
2.
3.
Comment 24 Chris January 2010-06-16 09:42:18 EDT
Package: yum-3.2.27-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. As normal user: yum history list

Comment
-----
yum history list does not print a userful error message when run as a normal user (i.e. not root).

Observed:
A backtrace and OperationalError: unable to open database file

Expected:
You need to be root to perform this command.
Comment 25 Andrew Roth 2010-06-16 14:16:35 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.  I used the command 'yum history' as a normal user:
This is the output I got:
Loaded plugins: presto, refresh-packagekit
ID     | Login user             | Date and time    | Action(s)      | Altered
-------------------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 254, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 109, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 356, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 1314, in doCommand
    ret = base.historyListCmd(extcmds)
  File "/usr/share/yum-cli/output.py", line 1297, in historyListCmd
    for old in self.history.old(tids, limit=limit):
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 449, in old
    cur = self._get_cursor()
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 220, in _get_cursor
    self._conn = sqlite.connect(self._db_file)
sqlite3.OperationalError: unable to open database file
Comment 26 Shiraz 2010-06-16 18:24:38 EDT
Package: yum-3.2.27-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. with the latest kernel 2.6.33.5-124 and do "yum history" and the package crashes
2.
3.
Comment 27 Shiraz 2010-06-16 18:25:41 EDT
Package: yum-3.2.27-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. with the latest kernel 2.6.33.5-124 and do "yum history" and the package crashes
2.
3.
Comment 28 andy2.0 2010-06-17 18:47:52 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Ran 'yum history'
2. Traceback...
Comment 29 Erinn Looney-Triggs 2010-06-18 11:07:34 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Run yum history summary as a normal user
2.
3.


Comment
-----
Just run yum history summary as an unprivileged user
Comment 30 Andre Costa 2010-06-18 17:38:14 EDT
29 reports and still counting... soon it will catch up with bug #543165 (the most reported Fedora bug ever AFAICT) ;-)
Comment 31 James Antill 2010-06-19 01:13:25 EDT
 Yeh, we've kept moving on yum and haven't had a release ... so just putting rawhide's version into F-13 updates hasn't seemed like a good idea yet. I guess we could backport just this, but if it wasn't for abrt, nobody would care IMO (esp. as the fix just means the command is just as useless but doesn't trigger abrt).
 Anyone who does care can either chmod the history file, or update to rawhide.

 It'll get fixed eventually, when a release is made, but it's not high on anyone's TODO list.
Comment 32 Mustafa Mehmed 2010-06-19 08:19:44 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. ran "yum history"
2.
3.


Comment
-----
$ yum history
Loaded plugins: fastestmirror, presto, refresh-packagekit
ID     | Login user             | Date and time    | Action(s)      | Altered
-------------------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 254, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 109, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 356, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 1314, in doCommand
    ret = base.historyListCmd(extcmds)
  File "/usr/share/yum-cli/output.py", line 1297, in historyListCmd
    for old in self.history.old(tids, limit=limit):
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 449, in old
    cur = self._get_cursor()
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 220, in _get_cursor
    self._conn = sqlite.connect(self._db_file)
sqlite3.OperationalError: unable to open database file
Comment 33 Julian Aloofi 2010-06-19 08:35:09 EDT
Package: yum-3.2.27-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Run "yum history" without any arguments


Comment
-----
I never ran any yum history commands before, just tried a "yum history" for the first time.
Comment 34 Lars Schotte 2010-06-20 18:52:04 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. run "yum version" w/o any options
2. run it like a user w/o root rights aka sudo
3.


Comment
-----
run "yum version"
Comment 35 Guy Streeter 2010-06-21 16:27:26 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. yum history list (as non-root user)

Comment
-----
I did "yum history list" as non-root
Comment 36 mercutioxxx30-bugzillaredhat 2010-06-25 15:25:56 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. yum history
2.
3.
Comment 37 serpens0073 2010-06-28 19:19:23 EDT
Package: yum-3.2.27-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
I was in a terminal window and keyed the following: ]$yum history
Comment 38 Bruce Cowan 2010-06-29 16:18:00 EDT
Package: yum-3.2.27-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Run "yum version" as non-root user

Comment
-----
Simply run "yum version" as a non-root user.
Comment 39 Rob Wills 2010-06-30 16:15:21 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. in terminal type "yum history"
2.
3.


Comment
-----
Wanted to view the yum transaction history to review package updates.
Comment 40 Theodore Lee 2010-07-11 06:36:55 EDT
Package: yum-3.2.27-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Run a yum history operation as root (this works fine).
2. Run a yum history operation as a normal user (this triggers the crash).
Comment 41 Peque 2010-07-12 22:08:56 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
run yum history as non-root
Comment 42 Luya Tshimbalanga 2010-07-13 16:17:33 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. run Yum History command as user
2.
3.


Comment
-----
Yum history command caused traceback on database as user.
Comment 43 Donald Edward Winslow 2010-07-15 09:34:18 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Type "yum history" at the command line, without being root.
2. Press the enter/return key.
3.


Comment
-----
I typed "yum history" at the command line (Bash), without using su to be root. The ABRT error came up, and the attached backtrace showed in the terminal. When I used proper syntax ("su -c 'yum history info'"); it worked fine with no crash. That was yesterday. Just now I reproduced the crash by typing "yum history" and pressing enter.
Comment 44 Phil V 2010-07-16 20:16:37 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Not sure how to reproduce them. Since this crash has happened 5 times already I thought it might be helpful to report them.
Comment 45 Eduardo Villagrán Morales 2010-07-17 17:06:02 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. As a non root user execute yum history
2. You get this exception: sqlite3.OperationalError: unable to open database file
3.
Comment 46 Peter Eriksen 2010-07-20 16:52:05 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. As normal user: yum history list
2.
3.
Comment 47 Mika Kuusela 2010-07-21 15:18:22 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Run the command 'yum history' as normal user

Comment
-----
Running the command 'yum history' as a normal user results in this crash (fully reproducible), while the same command ran as root works as expected.
Comment 48 Justin Clift 2010-07-22 02:50:11 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Run "yum history" as a user, without sudo
2. Instead of simply complaining about a lack of permission, abrt detects a crash.
Comment 49 James Cassell 2010-07-23 11:14:23 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. do some yum transactions
2. reboot
3. as a non-root user, type 'yum history'


Comment
-----
I typed 'yum history' when I wasn't root.  When I subsequently typed 'yum history' after becoming root, it said 'RPMDB altered outside of yum' even though I didn't make any changes using anything but packagekit and yum
Comment 50 James Cassell 2010-07-23 11:17:36 EDT
the RPMDB from my last comment was from an akmod I have installed, so it's unrelated
Comment 51 Pierre-YvesChibon 2010-07-23 11:31:28 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. open a terminal
2. type:  yum history list kernel
3. crash



Comment
-----
The error when trying to open the terminal as non-root user is not catch.
Comment 52 Charlie Dingman 2010-07-23 23:22:04 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
running yum search and yum list commands
Comment 53 laxyfoxx 2010-07-24 17:35:48 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
on my machine, issuing the above command line as user results in yum crash. Works as root.

Comment
-----
As root I get the following:
[root@localhost Documents]# yum history list xorg-x11-drv-synaptics
Loaded plugins: presto, refresh-packagekit
ID     | Login user             | Date and time    | Action(s)      | Altered
-------------------------------------------------------------------------------
     3 | System <unset>         | 2010-07-11 02:13 | I, O, U        |  399   
     1 | System <unset>         | 2010-07-10 20:44 | Install        | 1204   
history list
Comment 54 russg 2010-07-25 02:47:28 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.  As regular use, invoke "yum history"


Comment
-----
The history directory is owned by root/root, and has permissions 600.  Dunno if this is as it's supposed to be or not, but it appears that 'yum history' isn't supposed to be able to be run by normal users.
Comment 55 Donald Edward Winslow 2010-07-26 14:35:41 EDT
Earlier in this thread someone pointed out that a temporary workaround is to change permissions. It worked for me; I can now run "yum history" as a normal user.
Comment 56 russg 2010-07-26 17:36:14 EDT
(In reply to comment #55)
> Earlier in this thread someone pointed out that a temporary workaround is to
> change permissions. It worked for me; I can now run "yum history" as a normal
> user.    

It's not that I can't run it (I can simply add sudo to the command line), but that it's not documented as a restriction, and it causes a crash of yum, both of which are bugs (the crash being the higher priority of the two IMO).

The fact that it crashes makes me wonder if it wasn't by design, but by accident.  Regardless, it needs to be discussed if it hasn't before (to determine whether this is a true restriction or not, as I can see reasons for both sides), fixed, and documented.
Comment 57 Donald Edward Winslow 2010-07-26 19:16:43 EDT
It is indeed a bug; see comment 31 for an explanation of why it's not being made a priority. I just mentioned the temporary workaround (using sudo is another) in case recent reporters of this bug haven't read the whole thread. You can also update to rawhide; it's fixed there.
Comment 58 Clemens Buchacher 2010-07-31 12:06:53 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
The commands "yum version installed" or just "yum version" reliably produce this error.

Comment
-----
"yum version" is listed as a command in the man page, but it is not documented further.
Comment 59 Nathanael Noblet 2010-08-01 17:29:29 EDT
Package: yum-3.2.27-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Ran yum history
2.
3.
Comment 60 seth vidal 2010-08-01 17:36:42 EDT
If everyone having this problem could use this pkg from koji:
http://kojipkgs.fedoraproject.org/packages/yum/3.2.28/1.fc13/noarch/yum-3.2.28-1.fc13.noarch.rpm

I believe you'll find it's all fixed.

that pkg will be coming to updates-testing, soon.

thanks
Comment 61 Randall "Randy" Berry 2010-08-02 02:00:21 EDT
Package: yum-3.2.27-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Run "yum history" as a normal user, yum crashes. 

Happens every time.

Comment
-----
I checked as root user and this crash does not occur. 

Expected results running as normal user would be for yum to execute the command or exit gracefully with warning.
Comment 62 Randall "Randy" Berry 2010-08-02 02:05:06 EDT
New build in koji fixes issue. 
I noticed the fix after I filed the ABRT bug.
Comment 63 Phil V 2010-10-29 04:23:44 EDT
Hi, all. I propose we close this bug as successfully fixed!
Comment 64 Randall "Randy" Berry 2010-10-29 04:35:22 EDT
I second. This bug has been fixed.

Note You need to log in before you can comment on or make changes to this bug.